Subject: [trill] draft-perlman-trill-rbridge-multilevel-10: Extension of WG Adoption call (7/16 to 8/16)

From: "Susan Hares" <[email-masked]>
Date: Tue, 4 Aug 2015 09:35:54 -0400

This extends the  WG adoption call for
draft-perlman-trill-rbridge-multi-level-10 from 7/16 to 8/16.  You can find
the draft at: 

http://datatracker.ietf.org/doc/draft-perlman-trill-rbridge-multilevel/

In your response to the WG adoption call, please comment on the technology

and places this technology might be deployed. 

Sue Hares and Jon Hudson

PS - the first email on this subject is at:

https://mailarchive.ietf.org/arch/msg/trill/BamyFV6L7Yky4LiTBd1OHjoKVZY

---

From: Haoweiguo <[email-masked]>
Date: Wed, 5 Aug 2015 09:56:07 +0000

This draft gives a detail analysis for TRILL multi-level, so i support the adoption.

Thanks,

weiguo

________________________________
From: Susan Hares [[email-masked]]
Sent: Tuesday, August 04, 2015 21:35
To: [email-masked]
Cc: 'Donald Eastlake'; 'Jon Hudson'
Subject: [trill] draft-perlman-trill-rbridge-multilevel-10: Extension of WG Adoption call (7/16 to 8/16)

This extends the  WG adoption call for draft-perlman-trill-rbridge-multi-level-10 from 7/16 to 8/16.  You can find the draft at:

Sue Hares and Jon Hudson

PS – the first email on this subject is at:
https://mailarchive.ietf.org/arch/msg/trill/BamyFV6L7Yky4LiTBd1OHjoKVZY

---

From: Liyizhou <[email-masked]>
Date: Thu, 6 Aug 2015 01:35:13 +0000

I support the adoption of the multi-level drafts.
Multi-level is a useful feature to solve scalability issue in trill campus.

This draft gives great details in introducing the issues caused by multi-level and comparing the pros and cons in Unique and Aggregated nickname approaches.

I simply want to clarify that the intention of the draft is informational, right? I do not see the exact TLV format to be used either in unique or in aggregated nickname approaches. The references listed two expired drafts [DraftUnique] and [DraftUnique].

Are we going to make them both standards? If that is the case, together with another single nickname approach, I would like to see the text to describe the co-existence of them.

Thanks,

Yizhou

From: trill [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Tuesday, August 04, 2015 9:36 PM
To: [email-masked]
Cc: 'Donald Eastlake'; 'Jon Hudson'
Subject: [trill] draft-perlman-trill-rbridge-multilevel-10: Extension of WG Adoption call (7/16 to 8/16)

Sue Hares and Jon Hudson

---

From: Donald Eastlake <[email-masked]>
Date: Thu, 6 Aug 2015 14:15:21 -0400

Hi Yizhou,

On Wed, Aug 5, 2015 at 9:35 PM, Liyizhou <[email-masked]> wrote:
> This draft gives great details in introducing the issues caused by
> multi-level and comparing the pros and cons in Unique and Aggregated
> nickname approaches.
>
> I simply want to clarify that the intention of the draft is informational,
> right? I do not see the exact TLV format to be used either in unique or in
> aggregated nickname approaches. The references listed two expired drafts
> [DraftUnique] and [DraftUnique].

Yes, this draft is intended to become an Informational RFC. It surveys
different approaches and references some drafts as examples of those
approaches. ( I think the two drafts you wanted to mentions were
[DraftUnique] and [DraftAggregated]. )

> Are we going to make them both standards? If that is the case, together with
> another single nickname approach, I would like to see the text to describe
> the co-existence of them.

Assuming this draft and the other multi-level draft in call for
adoption, draft-zhang-trill-multilevel-single-nickname are adopted, we
will have to see what the WG wants to do.

I think that the most desirable outcome would be for the
perlman-trill-rbridge-multilevel draft to become an Information RFC.
There should then also be one TRILL multilevel standards track RFC
that explains how to do multilevel TRILL with unique nicknames (which
is basically the simplest option) and how to do multilevel TRILL with
some form of aggregated nicknames (more complex but more scalable),
including a mixed campus in which some areas use unique and some areas
use aggregated nicknames.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

---

From: Mingui Zhang <[email-masked]>
Date: Fri, 7 Aug 2015 06:46:25 +0000

Hi Donald,

> There should then also be one TRILL multilevel standards track RFC that
> explains how to do multilevel TRILL with unique nicknames (which is basically
> the simplest option) and how to do multilevel TRILL with some form of
> aggregated nicknames (more complex but more scalable), including a mixed
> campus in which some areas use unique and some areas use aggregated
> nicknames.

Fair enough. This is a reasonable way to go. First, we need detail the unique nickname solution. Second, we can specify how to conduct the coexistence issue. They ought to be standards track.

Thanks,
Mingui

> -----Original Message-----
> From: trill [mailto:[email-masked]] On Behalf Of Donald Eastlake
> Sent: Friday, August 07, 2015 2:15 AM
> To: Liyizhou
> Cc: Jon Hudson; Susan Hares; [email-masked]
> Subject: Re: [trill] draft-perlman-trill-rbridge-multilevel-10: Extension of WG
> Adoption call (7/16 to 8/16)
> 
> Hi Yizhou,
> 
> > I simply want to clarify that the intention of the draft is
> > informational, right? I do not see the exact TLV format to be used
> > either in unique or in aggregated nickname approaches. The references
> > listed two expired drafts [DraftUnique] and [DraftUnique].
> 
> Yes, this draft is intended to become an Informational RFC. It surveys different
> approaches and references some drafts as examples of those approaches. ( I
> think the two drafts you wanted to mentions were [DraftUnique] and
> [DraftAggregated]. )
> 
> > Are we going to make them both standards? If that is the case,
> > together with another single nickname approach, I would like to see
> > the text to describe the co-existence of them.
> 
> Assuming this draft and the other multi-level draft in call for adoption,
> draft-zhang-trill-multilevel-single-nickname are adopted, we will have to see
> what the WG wants to do.
> 
> There should then also be one TRILL multilevel standards track RFC that
> explains how to do multilevel TRILL with unique nicknames (which is basically
> the simplest option) and how to do multilevel TRILL with some form of
> aggregated nicknames (more complex but more scalable), including a mixed
> campus in which some areas use unique and some areas use aggregated
> nicknames.
> 
> Thanks,
> Donald
>  155 Beaver Street, Milford, MA 01757 USA  [email-masked]
> 
> > Thanks,
> > Yizhou
> >
> >
> >
> >
> >
> > draft-perlman-trill-rbridge-multi-level-10 from 7/16 to 8/16.  You can
> > find the draft at:
> >
> >
> >
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill

---

From: gayle noble <[email-masked]>
Date: Fri, 07 Aug 2015 17:54:45 -0700

I support adoption of this draft.
I have a few corrections and one suggestion.
corrections
1.   page 11  section 2.2.2. fourth paragraph - first sentence
["nicknames the identify" should be "nicknames that identify"]
(as written)
  Alternatively, areas could be identified by the set of nicknames 
the identify the border routers for that area.
(Should be)
  Alternatively, areas could be identified by the set of nicknames 
that identify the border routers for that area.

2.   page 12 section 2.2.2.1 second paragraph - last sentence
["aggreated" should be "aggregated"]
(as written)
RB1 has a nickname, say 27, and RB4 has a nickname, say 44 (and in 
fact, they could even have the same nickname, since the TRILL switch 
nickname will not be visible outside these aggreated areas).
(should be)
RB1 has a nickname, say 27, and RB4 has a nickname, say 44 (and in 
fact, they could even have the same nickname, since the TRILL switch 
nickname will not be visible outside these aggregated areas).

3.   page 18 third paragraph - second sentence
["addresses appears in" should be "addresses appear in"]
(as written)
Area addresses appears in Hellos and LSPs within the area.
(should be)
Area addresses appear in Hellos and LSPs within the area.

suggestions

1.   page 9 - first paragraph - last sentence
["so use in TRILL of an area address" made me go back and read it a 
few times. It is correct but I like it better "so using an area 
address in TRILL"]
(as written)
However, TRILL uses other techniques to avoid such confusion, such as 
different multicast addresses and Ethertypes on Ethernet [RFC6325], 
different PPP (Point-to-Point Protocol) codepoints on PPP 
[RFC6361],  and the like, so use in TRILL of an area address that 
might be used in layer 3 IS-IS is not a problem.
(I like it better)
However, TRILL uses other techniques to avoid such confusion, such as 
different multicast addresses and Ethertypes on Ethernet [RFC6325], 
different PPP (Point-to-Point Protocol) codepoints on PPP 
[RFC6361],  and the like, so using an area address in TRILL that 
might be used in layer 3 IS-IS is not a problem.

PS  I love the fact that every acronym was defined!!! >*bow*<
thanks
gayle

---

From: Mingui Zhang <[email-masked]>
Date: Tue, 11 Aug 2015 03:04:35 +0000

Support as a coauthor.

The multi-level technology was originally used to address the scalability issue. But it can also be used as an interconnection technology for networks, homogeneous or heterogeneous. This might be a direction deserve our effort.

Thanks,
Mingui

Sue Hares and Jon Hudson

---

From: honjun.zhai <[email-masked]>
Date: Sun, 16 Aug 2015 22:38:51 +0800 (CST)

<p><br /></p><p>Support as a co-author.</p><p><br /></p><p>Multi-level technology gives scalability to big scale networks, including big TRILL campus. This draft probes and discusses some of the potential solutions for multi-level TRILL, and is useful for us to find the final solutions.&nbsp;</p><p><br /></p><p><br /></p><p>Thanks,</p><p>Hongjun Zhai</p>